package cn.com.qmth.stmms.biz.exam.bean;

import cn.com.qmth.stmms.biz.exam.model.ExamStudent;
import cn.com.qmth.stmms.common.utils.BigDecimalUtils;
import io.swagger.annotations.ApiModelProperty;

public class InspectImportVo {

    @ApiModelProperty("studentId")
    private Integer id;

    /**
     * 考试ID
     */
    private Integer examId;

    /**
     * 学校ID
     */
    private Integer schoolId;

    /**
     * 科目代码
     */
    private String subjectCode;

    /**
     * 科目名称
     */
    private String subjectName;

    @ApiModelProperty("科目")
    private String subjectText;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    private String studentCode;

    /**
     * 是否已上传
     */
    private Boolean upload;

    private Boolean breach;

    /**
     * 是否缺考
     */
    private Boolean absent;

    /**
     * 主观题得分明细
     */
    private String subjectiveScoreList;

    @ApiModelProperty("标记卷，1-标记")
    private String tagValue;

    @ApiModelProperty("试卷总分")
    private Double totalScore;

    @ApiModelProperty("得分明细")
    private String scoreText;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public Integer getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Integer schoolId) {
        this.schoolId = schoolId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getSubjectText() {
        return subjectText;
    }

    public void setSubjectText(String subjectText) {
        this.subjectText = subjectText;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public Boolean getUpload() {
        return upload;
    }

    public void setUpload(Boolean upload) {
        this.upload = upload;
    }

    public Boolean getBreach() {
        return breach;
    }

    public void setBreach(Boolean breach) {
        this.breach = breach;
    }

    public Boolean getAbsent() {
        return absent;
    }

    public void setAbsent(Boolean absent) {
        this.absent = absent;
    }

    public String getSubjectiveScoreList() {
        return subjectiveScoreList;
    }

    public void setSubjectiveScoreList(String subjectiveScoreList) {
        this.subjectiveScoreList = subjectiveScoreList;
    }

    public String getTagValue() {
        return tagValue;
    }

    public void setTagValue(String tagValue) {
        this.tagValue = tagValue;
    }

    public String getScoreText() {
        return scoreText;
    }

    public void setScoreText(String scoreText) {
        this.scoreText = scoreText;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public static InspectImportVo of(ExamStudent from) {
        if (from == null) {
            return null;
        }
        InspectImportVo ret = new InspectImportVo();
        ret.setId(from.getId());
        ret.setExamId(from.getExamId());
        ret.setSchoolId(from.getSchoolId());
        ret.setSubjectCode(from.getSubjectCode());
        ret.setSubjectName(from.getSubjectName());
        ret.setSubjectText(from.getSubjectCode() + "-" + from.getSubjectName());
        ret.setStudentCode(from.getStudentCode());
        ret.setUpload(from.isUpload());
        ret.setBreach(from.isBreach());
        ret.setAbsent(from.isAbsent());
        ret.setSubjectiveScoreList(from.getSubjectiveScoreList());
        ret.setTagValue(from.getTagValue());
        double score = 0;
        if (from.getObjectiveScore() != null) {
            score = BigDecimalUtils.add(score, from.getObjectiveScore());
        }
        if (from.getSubjectiveScore() != null) {
            score = BigDecimalUtils.add(score, from.getSubjectiveScore());
        }
        ret.setTotalScore(score);
        if (from.isAbsent() == true || from.isUpload() == false) {
            ret.setScoreText("缺考");
        } else if (from.isBreach() == true) {
            ret.setScoreText("违纪");
        } else {
            ret.setScoreText(from.getSubjectiveScoreList());
        }
        return ret;
    }

}
