package cn.com.qmth.stmms.biz.exam.bean;

import java.util.Date;

import cn.com.qmth.stmms.biz.exam.model.ExamStudent;
import io.swagger.annotations.ApiModelProperty;

public class StudentCheckVo {

    @ApiModelProperty("studentId")
    private Integer id;

    /**
     * 科目代码
     */
    private String subjectCode;

    /**
     * 科目名称
     */
    private String subjectName;

    @ApiModelProperty("准考证号")
    private String examNumber;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("科目")
    private String subjectText;

    @ApiModelProperty("考点")
    private String examSite;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    private String studentCode;

    @ApiModelProperty("上传时间")
    private Date uploadTime;

    @ApiModelProperty("扫描批次")
    private String batchCode;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSubjectText() {
        return subjectText;
    }

    public void setSubjectText(String subjectText) {
        this.subjectText = subjectText;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public Date getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(Date uploadTime) {
        this.uploadTime = uploadTime;
    }

    public String getBatchCode() {
        return batchCode;
    }

    public void setBatchCode(String batchCode) {
        this.batchCode = batchCode;
    }

    public String getExamSite() {
        return examSite;
    }

    public void setExamSite(String examSite) {
        this.examSite = examSite;
    }

    public static StudentCheckVo of(ExamStudent from) {
        if (from == null) {
            return null;
        }
        StudentCheckVo ret = new StudentCheckVo();
        ret.setId(from.getId());
        ret.setSubjectCode(from.getSubjectCode());
        ret.setSubjectName(from.getSubjectName());
        ret.setSubjectText(from.getSubjectCode() + "-" + from.getSubjectName());
        ret.setStudentCode(from.getStudentCode());
        ret.setExamNumber(from.getExamNumber());
        ret.setName(from.getName());
        ret.setUploadTime(from.getUploadTime());
        ret.setBatchCode(from.getBatchCode());
        ret.setExamSite(from.getExamSite());
        return ret;
    }

}
